Bug 24999 - Hide Compaq recovery partition type 0x12
Summary: Hide Compaq recovery partition type 0x12
Status: RESOLVED FIXED
Alias: None
Product: udisks
Classification: Unclassified
Component: detection (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: David Zeuthen (not reading bugmail)
QA Contact:
URL: https://bugs.launchpad.net/bugs/451304
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-09 06:00 UTC by Martin Pitt
Modified: 2009-12-02 16:39 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
git formatted patch (1.43 KB, patch)
2009-11-09 06:04 UTC, Martin Pitt
Details | Splinter Review
git formatted patch (1.41 KB, patch)
2009-12-01 13:16 UTC, Martin Pitt
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Pitt 2009-11-09 06:00:14 UTC
From downstream report:

  "According to the web site listed, partition type 0x12 (Compaq diagnostics) is also used by Thinkpads for the recovery partition. I can confirm this, at least on my Lenovo X200 Tablet. Adding 0x12 to the hidden partition types would hide the recovery partition by default, which I consider to be a bonus: a technically minded user can always unhide the partition if they need access to it. As I've already hidden mine with a custom rule, I don't mind either way."

Indeed http://www.win.tue.nl/~aeb/partitions/partition_types-1.html lists 0x12 only for configuration/rescue.
Comment 1 Martin Pitt 2009-11-09 06:04:25 UTC
Created attachment 31067 [details] [review]
git formatted patch
Comment 2 Martin Pitt 2009-12-01 13:16:41 UTC
Created attachment 31636 [details] [review]
git formatted patch

Updated to current git head for udisks renaming.
Comment 3 David Zeuthen (not reading bugmail) 2009-12-02 16:39:33 UTC
Committed, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.